Skip to content
中文

POST /replicate/v1/models/black-forest-labs/flux-1.1-pro/predictions

Method: POSTEndpoint: /replicate/v1/models/black-forest-labs/flux-1.1-pro/predictions

https://replicate.com/black-forest-labs/flux-1.1-pro?input=http

Request Parameters

Header Parameters

text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
input
object
Required
prompt
string
Required
go_fast
boolean
Optional
megapixels
string
Optional
num_outputs
integer
Optional
aspect_ratio
string
Defaults to 1:1.
Optional
output_format
string
Optional
output_quality
integer
Optional
num_inference_steps
integer
Optional
Example
{
"input"
:
{
"prompt"
:
"black forest gateau cake spelling out the words \"FLUX 1 . 1 Pro\", tasty, food photography"
,
"aspect_ratio"
:
"1:1"
,
"output_format"
:
"webp"
,
"output_quality"
:
80
,
"safety_tolerance"
:
2
,
"prompt_upsampling"
:
true
}
}

Example Request

Shell

bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-1.1-pro/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "black forest gateau cake spelling out the words \"FLUX 1 . 1 Pro\", tasty, food photography",
      "aspect_ratio": "1:1",
      "output_format": "webp",
      "output_quality": 80,
      "safety_tolerance": 2,
      "prompt_upsampling": true
    }
  }'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
object

Example

json
{}